Loading...
Searching...
No Matches
casacore::LogOrigin_global_functions_SourceLocation::SourceLocation Struct Reference

`#include <LogOrigin.h>`

## Static Public Member Functions

static SourceLocation | canonicalize (const char *file, Int line)

## Public Attributes

const char * | fileName
Int | lineNumber

## Detailed Description

Definition at line 206 of file LogOrigin.h.

## Member Function Documentation

## canonicalize()

SourceLocation casacore::LogOrigin_global_functions_SourceLocation::SourceLocation::canonicalize | ( | const char * | file,
|  | Int | line )

static

## Member Data Documentation

## fileName

const char* casacore::LogOrigin_global_functions_SourceLocation::SourceLocation::fileName

Definition at line 208 of file LogOrigin.h.

## lineNumber

Int casacore::LogOrigin_global_functions_SourceLocation::SourceLocation::lineNumber

Definition at line 209 of file LogOrigin.h.

The documentation for this struct was generated from the following file:

- casa/Logging/LogOrigin.h